<!-- 媒体列表 -->
<template>
  <div>

    <div class=" mb25">
      <el-input clearable class="w200  mr20" v-model="search_data.search" placeholder="搜索"></el-input>
      <el-select v-if="false" class="mr20" v-model="search_data.type" placeholder="请选择类型">
        <el-option label="请选择类型" value=""></el-option>
        <el-option label="文章" value="1"> </el-option>
      </el-select>
      <!-- 搜索 -->
      <el-button size="small" icon="el-icon-search" @click.native="m_search" type="primary">搜索</el-button>
      <el-button size="small" icon="el-icon-plus" @click="m_add" type="success">添加</el-button>
      <el-button size="small" icon="el-icon-delete" @click.native="m_del" type="danger">批量删除</el-button>

    </div>

    <el-table ref="m_table" size="mini" border :max-height="tableHeight" v-loading="m_tableLoading" @selection-change="m_handleSelectionChange" @current-change="m_handleCurrentChange" :stripe="true" tooltip-effect="dark" :highlight-current-row="true" :data="m_list">
      <el-table-column type="selection" align="center" width="55"></el-table-column>
      <el-table-column prop="name" show-overflow-tooltip align="center" label="标题"> </el-table-column>
       <el-table-column prop="created_at" width="150" align="center" label="创建时间"> </el-table-column>
       <!-- <el-table-column prop="detail_url" show-overflow-tooltip align="center" label="跳转地址"> </el-table-column> -->
     
      <el-table-column label="操作" width="150" align="center">
        <template slot-scope="scope">
          <el-button class="m_edit" size="small" @click.native='copy(scope.row)' type="text"><span class="m_blue">复制链接</span></el-button>
          <el-button class="m_edit" size="small" @click.native='m_edit(scope.row)' type="text"><span class="m_blue">编辑</span></el-button>
          <el-button class="spanr" size="small" @click.native='m_oneDel(scope.row)' type="text"><span class="m_red">删除</span></el-button>

        </template>
      </el-table-column>

    </el-table>

    <Paging class="mt20 mb30" :pageIndex="m_page.page" :pageSize="m_page.limit" :pageTotal="m_page.total" @changeSize="m_changesize" @changeIndex="m_changeindex"></Paging>
    <el-dialog :title="m_isadd?'添加':'编辑'" v-if="m_show" :visible.sync="m_show" width="900px">
      <div style="width:800px">
        <mediumedit @success="submit" :aId='e_id' />
      </div>
    </el-dialog>

  </div>
</template>

<script>
import medium_edit from './medium_edit'
export default {
  name: 'medium',
  components: { mediumedit: medium_edit },
  data() {
    return {
      e_id: '',
      search_data: {
        search: "",
        type: '',// 媒体类型 1:文章 2:图集(未开放) 3:视频(未开放)

      },
    };
  },
  mounted() {


  },

  activated() {
    if (this.$route.query.keep != 1) {
      this.m_resetData()
      this.init()
    } else {

    }
  },
  methods: {

    init() {
      this.getDatalist()
    },





    getDatalist() {
      let data = Object.assign(this.search_data, this.m_page);
      this.m_api.medium(data).then(res => {
        console.log(res)
        res.data.data = res.data.data.map(i => {
          i.delShow = false
          return i
        })
        this.m_list = res.data.data
        this.m_page.total = res.data.total
      })
    },


    delData(id) {
      let m_delId = id ? [id] : this.m_delId
      this.m_loading = true
      this.m_api.medium_delete(m_delId).then(res => {
        this.m_loading = false
        // 删除成功
        this.m_success('删除成功')
        this.getDatalist()
      }).catch(res => {
        this.m_loading = false
      })
    },


    m_add() {
      this.m_isadd = true
      this.e_id = ''
      this.$nextTick(() => {
        this.m_show = true
      })

    },

    //编辑
    m_edit(row) {
      this.m_isadd = false
      this.e_id = row.id
      this.$nextTick(() => {
        this.m_show = true
      })

    },

    copy(row){
      this.m_copy(row.detail_url+'&isNoTopBar=1',()=>{
        this.m_success('复制成功')
      })

    },


    submit() {
      if (this.m_isadd) {
        this.m_success('添加成功')
        this.getDatalist()

      } else {
        this.m_success('修改成功')
        this.getDatalist()
      }
      this.m_show = false
    },











  },

}
</script>
<style lang='scss' scoped>
.tip {
  font-size: 19px;
  margin-bottom: 30px;
}
</style>